/*
 * J5-0_USART3.h
 *
 *  Created on: 2024Äê5ÔÂ18ÈÕ
 *      Author: 34509
 */

#ifndef HARDWARE_RS485_J5_0_USART3_H_
#define HARDWARE_RS485_J5_0_USART3_H_

#include "UART.h"

/* PE11 */
#define J5_PWR_Ctrl 42
/* PE12 */
#define J6_PWR_Ctrl 43
/* PE13 */
#define J7_PWR_Ctrl 44
/* PE14 */
#define J8_PWR_Ctrl 45
/* PE15 */
#define J9_PWR_Ctrl 46


/* PD9 */
#define TD_USART_A 56
/* PD10 */
#define TD_USART_B 57
/* PD11 */
#define TD_USART_C 58

#define USART3_buffer_len 256


void J5_0_485_Init(uint32_t baud);

extern void USARTx_SendByte(USART_TypeDef* pUSARTx, uint8_t data);
extern void USARTx_SendStr(USART_TypeDef* pUSARTx, char *str);
//void USART3_IRQHandler(void);

void USART_CONNET_J0(void);
void USART_CONNET_J5(void);
void USART_CONNET_J6(void);
void USART_CONNET_J7(void);
void USART_CONNET_J8(void);
void USART_CONNET_J9(void);

void J5_PWR_Open(void);
void J5_PWR_Close(void);
void J6_PWR_Open(void);
void J6_PWR_Close(void);
void J7_PWR_Open(void);
void J7_PWR_Close(void);
void J8_PWR_Open(void);
void J8_PWR_Close(void);
void J9_PWR_Open(void);
void J9_PWR_Close(void);

#endif /* HARDWARE_RS485_J5_0_USART3_H_ */
